# failOnNonReproducibleResolution

abstract fun failOnNonReproducibleResolution(): ResolutionStrategy

Configures Gradle to fail the build is the resolution result is expected to be unstable, that is to say that it includes dynamic versions or changing versions and therefore the result may change depending on when the build is executed. This method is equivalent to calling both failOnDynamicVersions and failOnChangingVersions.

#### Return

this resolution strategy

#### Since

6.1